function newdata = line_remove_vall(data, line)

%[pos, pp] = line_mindistance(data, line);
% NOTE: pnorm not available in all systems... redo with norm
%pp = vecnorm(data(:,1:2)-line(1:2), 2, 2);
pp = (data(:,1)-line(1)).^2+(data(:,2)-line(2)).^2;

pos = find (pp < 1e-7, 1);

if (pp>1e-4) % line is not present in the database; nothing to do
    newdata = data;
else
    newdata = data([1: pos-1 pos+1 : size(data,1)],:);
end