function newdata = line_add_or_replace_vall(data, line)
% add or replace a line in DB

% first step: look for data line
    % NOTE: pnorm not available in all systems... redo with norm
    % pp = vecnorm(data(:,1:2)-line(1:2), 2, 2);
    pp = (data(:,1)-line(1)).^2+(data(:,2)-line(2)).^2;

    pos = find (pp < 1e-5, 1); % maybe zero is not zero due to numerical approximation

    if isempty(pos)
        % if the line is not present, add it at the end
        newdata = [data; line];
    else
        % if the data line is present, replace it
        newdata = data;
        newdata(pos,:) = line;
    end

end